commit:     39cdf2db91c07f0a8987a44f52f613fbb698a811
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Sat Oct 10 18:01:06 2015 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Sun Oct 11 07:05:16 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=39cdf2db

dev-python/pexpect: Version Bump

Package-Manager: portage-2.2.23
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 dev-python/pexpect/Manifest             |  1 +
 dev-python/pexpect/pexpect-4.0.1.ebuild | 51 +++++++++++++++++++++++++++++++++
 2 files changed, 52 insertions(+)

diff --git a/dev-python/pexpect/Manifest b/dev-python/pexpect/Manifest
index 628f98f..a8e98a9 100644
--- a/dev-python/pexpect/Manifest
+++ b/dev-python/pexpect/Manifest
@@ -1 +1,2 @@
 DIST pexpect-3.3.tar.gz 132330 SHA256 
dfea618d43e83cfff21504f18f98019ba520f330e4142e5185ef7c73527de5ba SHA512 
66cc501f1c7bb8ba0be4cdc0db840629f51416dc54ae44dc770adb38f1a385116b0a8b9bc7f1cc1447f05ede36ef1b519f5c4e710e6cb736c923ecfc87497cfa
 WHIRLPOOL 
e708e722d4e2598958f8d724b84148608e9a53041077b1a1a2af84d5281e11f0c6c050ee88489eebc48bd5556c22e0fe9386680d34b1941ddf21539296629513
+DIST pexpect-4.0.1.tar.gz 143657 SHA256 
232795ebcaaf2e120396dbbaa3a129eda51757eeaae1911558f4ef8ee414fc6c SHA512 
c2476f977964379faa3ecef1bc4800f3a87bd6cdd9e2d52e4e4f33a4060a97bb54f0770dfb5804d5a863eaf6ddef6b11be1d24f1617cc4837015202868ca7e87
 WHIRLPOOL 
91bc9e259f547b34d6a8847f3154601487e5f4d0ce1d7698078eb653fc12209c4d708f902e00cfb483f3872ce42063d65d8900dcaf9c727421f5e8b3d730e076

diff --git a/dev-python/pexpect/pexpect-4.0.1.ebuild 
b/dev-python/pexpect/pexpect-4.0.1.ebuild
new file mode 100644
index 0000000..a2191ad
--- /dev/null
+++ b/dev-python/pexpect/pexpect-4.0.1.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python{2_7,3_3,3_4} pypy pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Python module for spawning child applications and responding to 
expected patterns"
+HOMEPAGE="
+       http://pexpect.sourceforge.net/
+       https://pypi.python.org/pypi/pexpect/
+       https://github.com/pexpect/pexpect/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86 ~amd64-fbsd ~amd64-linux ~x86-linux 
~ppc-macos ~x64-macos ~x86-macos"
+IUSE="doc examples test"
+
+RDEPEND=">=dev-python/ptyprocess-0.5[${PYTHON_USEDEP}]"
+DEPEND="
+       doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
+       test? ( dev-python/pytest[${PYTHON_USEDEP}] )"
+
+python_prepare_all() {
+       # tests failing
+       # https://github.com/pexpect/pexpect/issues/282
+       # https://github.com/pexpect/pexpect/issues/283
+       # https://github.com/pexpect/pexpect/issues/284
+       rm tests/test_maxcanon.py tests/test_async.py || die
+       touch .coveragerc || die
+       distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+       use doc && emake -C doc html
+}
+
+python_test() {
+       py.test tests || die "Tests fail with ${EPYTHON}"
+}
+
+python_install_all() {
+       use doc && local HTML_DOCS=( doc/_build/html/. )
+       use examples && local EXAMPLES=( examples/. )
+       distutils-r1_python_install_all
+}

Reply via email to